Save your workspace email preferences
PUT
Updates your email preferences for the current workspace.
Access: User session. API keys aren't supported.
- Supply all four preference flags. Account security emails cannot be disabled.
- Changes apply to future messages and queued messages that have not been sent. Browser writes need
X-CSRF-Token.
header
AuthorizationBearer <token>Send Authorization: Bearer <token>. A token is an API key (lb_live_…, scoped, for programs) or a session (lb_sess_…, from signup or login, for people). See Authentication above.
application/json- body
vps_updates*booleanbilling_updates*booleanservice_updates*booleanproduct_updates*booleanThe signed-in user’s notification settings or delivery history.
application/json- response
org_id*stringvps_updates*booleanbilling_updates*booleanservice_updates*booleanproduct_updates*booleancurl -X PUT 'https://layerbeat.com/v1/notifications/preferences' \ -H 'Content-Type: application/json' \ -d '{ "vps_updates": false, "billing_updates": true, "service_updates": true, "product_updates": false}'{ "org_id": "org_demo", "vps_updates": false, "billing_updates": true, "service_updates": true, "product_updates": false}